List Time Blockers
GET /businesses/{businessId}/time-blockers
GET
/businesses/{businessId}/time-blockers
List Time Blockers within a Business
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” startDate
string format: date-time
Start of date range filter
endDate
string format: date-time
End of date range filter (requires startDate)
staffId
string format: uuid
ID of the staff to filter time blockers by
Responses
Section titled “ Responses ”List of time blockers
object
data
Array<object>
object
id
Unique identifier across the platform.
string format: uuid
createdAt
Time when the resource was created (ISO 8601 format).
string format: date-time
updatedAt
Time when the resource was last updated (ISO 8601 format).
string format: date-time
staffId
The ID of the Staff this resource belongs to.
string format: uuid
startDate
Start date and time of the time blocker (ISO 8601 format).
string format: date-time
endDate
End date and time of the time blocker (ISO 8601 format).
string format: date-time
reason
Reason for the time blocker.
string